# https://code.djangoproject.com/ticket/7835#comment:46


def _setup_test_app():
    from django.apps import apps
    from django.apps.config import AppConfig

    print("Registering bbcode.tests app as bbcode_tests to load its models")
    print("(Should only happen when running tests)")

    app_config = AppConfig.create(__package__)
    app_config.apps = apps
    app_config.label = "bbcode_tests"
    assert app_config.label not in apps.app_configs
    apps.app_configs[app_config.label] = app_config
    app_config.import_models()
    apps.clear_cache()


_setup_test_app()
del _setup_test_app
